aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.S3.Commands.PutBucket

# Documentation

data PutBucket Source #

Constructors

PutBucket |

Fields

- pbBucket :: Bucket
- pbCannedAcl :: Maybe CannedAcl
- pbLocationConstraint :: LocationConstraint
- pbXStorageClass :: Maybe StorageClass

  Google Cloud Storage S3 nonstandard extension

#### Instances

Instances details

SignQuery PutBucket Source # | ServiceConfiguration: `S3Configuration`

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ServiceConfiguration PutBucket |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration

Methods

signQuery :: PutBucket -> ServiceConfiguration PutBucket queryType -> SignatureData -> SignedQuery Source #

Show PutBucket Source # |
Instance details Defined in Aws.S3.Commands.PutBucket Methods showsPrec :: Int -> PutBucket -> ShowS Source # show :: PutBucket -> String Source # showList :: [PutBucket] -> ShowS Source #
Transaction PutBucket PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket
type ServiceConfiguration PutBucket Source # |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration

putBucket :: Bucket -> PutBucket Source #

data PutBucketResponse Source #

Constructors

PutBucketResponse |

#### Instances

Instances details

AsMemoryResponse PutBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type MemoryResponse PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse

Methods

loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) Source #

Show PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket Methods showsPrec :: Int -> PutBucketResponse -> ShowS Source # show :: PutBucketResponse -> String Source # showList :: [PutBucketResponse] -> ShowS Source #
ResponseConsumer r PutBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type ResponseMetadata PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata PutBucketResponse) -> HTTPResponseConsumer PutBucketResponse Source #

Transaction PutBucket PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket
type MemoryResponse PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse
type ResponseMetadata PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata